Wrong timestamp for import of entries of the last ChangeSet.

2010-01-26 12:52 - Karl Heinz Marbaise

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.8.7

Description

If you decided to remove the configured SCM System and delete the entries (Settings - Repository) and press the delete button after

that all entries in the database for SCM changes are removed.

If you like to redo this you have to go via Settings - Repository and configure the SCM system (in my case SVN) and reread the

entries from the SCM system.

The problem is that an entry (changeset) which closes an item (via 

 fixed #xxx

) will be put into the database with the wrong timestamp...based on my experience it is the current timestamp instead of the

timestamp of the changeset has been done (in SVN).

But this seemed to be only happen for the last changeset which is done via the first time import.

Related issues:

Related to Redmine - Defect #5357: Git: SCM revisions ordered by date/time (s... New 2010-04-20

History

#1 - 2010-04-15 03:34 - Josh Sharpe

- File Terminal_—_less_—_66×23.jpg added

I've noticed a similar problem while using git on the 0.9 branch.  See attachment.  Notice that my git log commits are almost 4 hours appart, but

redmine is showing that they both were added 1 minute ago, so, at the same time.

1 minute ago was the first time I had visited the repository in redmine since either of these commits -- so it's when redmine last scanned the repo that

is being shown.

Also note that the git commit time is correctly stored in the DB.  I have no idea where it's getting whatever other date it's using...

Changeset.find_all_by_revision(["bf2c4e8d7f602491151996ee37f71ecc14fb4e9b", "7456df2720494cea38889459b6faff26db92bd82"])

=> [#<Changeset id: 10994, repository_id: 3, revision: "bf2c4e8d7f602491151996ee37f71ecc14fb4e9b", committer: "Josh Sharpe <josh@razoo.com

>", committed_on: "2010-04-14 20:19:46", comments: "fixes #622 test", commit_date: "2010-04-14", scmid:

"bf2c4e8d7f602491151996ee37f71ecc14fb4e9b", user_id: 4>, #<Changeset id: 10995, repository_id: 3, revision:

"7456df2720494cea38889459b6faff26db92bd82", committer: "Andrey Mikhalchuk <amc@razoo.com>", committed_on: "2010-04-14 16:42:25",

comments: "fixes #622, changes images in on the branded promot...", commit_date: "2010-04-14", scmid:

"7456df2720494cea38889459b6faff26db92bd82", user_id: 7>]

#2 - 2010-07-09 12:34 - Felix Schäfer

Josh, what you are referring to is the ticket history, and the 2 notes you are referring to where user-generated. The associated revisions you are

looking for are in the right-hand side in this view, in your screenshot they're under the terminal window.

#3 - 2011-03-01 06:32 - Toshi MARUYAMA

- Subject changed from Wrong timestamp for import of Subversion entries of the last ChangeSet. to Wrong timestamp for import of entries of the last

ChangeSet.

#4 - 2011-03-03 09:14 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA
